package com.yidianling.home.constract

/**
 * @author <a href="https://www.jianshu.com/u/c1e5310dd724">xujian</a>
 * @描述:壹点零首页ViewHolder约束类
 * @Copyright Copyright (c) 2019
 * @Company 壹点灵
 * @date 2019/02/13
 */
class HomeViewConfig {

    companion object {
        private var homeViewOrder = HomeViewOrder()

        fun getOrder():HomeViewOrder{
            return homeViewOrder
        }

        fun setOrder(order:HomeViewOrder){
            this.homeViewOrder = order
        }
    }
    
    class HomeViewOrder{
        /**
         * 顶部viewpager与分类模块
         */
        var bannerIndex :Int? = 0
        /**
         * 顶部预约专家，即时倾诉，心理测试按钮模块
         */
        var buttonIndex :Int? = 1
        /**
         * 咨询模块
         */
        var consultIndex :Int? = 2
        /**
         * 课程*成长模块
         */
        var courseIndex :Int? = 3
        /**
         * 倾诉*排解模块
         */
        var confideIndex :Int? = 4
        /**
         * 测试模块
         */
        var testsIndex :Int? = 5
        /**
         * 解忧*问答模块
         */
        var dynamicIndex :Int?= 6
        /**
         * 壹点*冥想模块
         */
        var museIndex :Int?= 7
        /**
         * 心灵*电台模块
         */
        var fmIndex :Int?= 8
        /**
         * 文章*阅读模块
         */
        var articleIndex :Int? = 9
        /**
         * 底部提示语模块
         */
        var footerIndex :Int? = 10
    }
}